## qtmoovrecover qtmoovrecover — Utility element for recovering unfinished quicktime files |

## Properties

gchar * | broken-input | Read / Write
gboolean | faststart-mode | Read / Write
gchar * | fixed-output | Read / Write
gchar * | recovery-input | Read / Write

## Types and Values

struct | GstQTMoovRecover

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstPipeline
                            ╰── GstQTMoovRecover

## Implemented Interfaces

GstQTMoovRecover implements GstChildProxy.

## Description

### Example pipelines

This element recovers quicktime files created with qtmux using the moov recovery feature.

    TODO

## Synopsis

### Element Information

plugin | isomp4
author | Thiago Santos <thiago.sousa.santos@collabora.co.uk>
class | Util

### Element Pads

## Functions

## Types and Values

### struct GstQTMoovRecover

    struct GstQTMoovRecover;

## Property Details

### The `“broken-input”` property

      “broken-input”             gchar *

Path to broken input file. (If qtmux was on faststart mode, this file is the faststart file).

Flags: Read / Write

Default value: NULL

### The `“faststart-mode”` property

      “faststart-mode”           gboolean

If the broken input is from faststart mode.

Flags: Read / Write

Default value: FALSE

### The `“fixed-output”` property

      “fixed-output”             gchar *

Path to write the fixed file to (used as output).

Flags: Read / Write

Default value: NULL

### The `“recovery-input”` property

      “recovery-input”           gchar *

Path to recovery file (used as input).

Flags: Read / Write

Default value: NULL